Social accounts API

Connect, disconnect and inspect social accounts; pick channels; create hosted connect links for your own users.

OperationMethod and path
Connect social account for teamPOST /api/v1/social-account/connect
Disconnect social account from teamDELETE /api/v1/social-account/disconnect
Set channel for social accountPOST /api/v1/social-account/set-channel
Unset channel for social accountPOST /api/v1/social-account/unset-channel
Refresh channels for social accountPOST /api/v1/social-account/refresh-channels
Create portal linkPOST /api/v1/social-account/create-portal-link
Enable DM messaging for a social accountPOST /api/v1/social-account/messaging/enable
Disable DM messaging for a social accountPOST /api/v1/social-account/messaging/disable
Manually run connection/disconnect checkPOST /api/v1/social-account/connection-check
Manually refresh social account profile infoPOST /api/v1/social-account/profile-refresh
Get social account by team and typeGET /api/v1/social-account/by-type
Copy social accountsPOST /api/v1/social-account/copy
Get paginated social accounts scheduled to deleteGET /api/v1/social-account/to-delete
POST /api/v1/social-account/connect

Connect social account for team

socialAccount.connect · requires x-api-key

Request body application/json

  • type string required
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
  • teamId string required
  • redirectUrl string required uri
  • serverUrl string uri
  • disableAutoLogin boolean default false
  • tiktokForceLogin boolean default false
  • forceBrowserOAuth boolean default false
  • instagramConnectionMethod string
    One of: FACEBOOK INSTAGRAM
  • withBusinessScope boolean default false
  • withMessagingScope boolean default false

Example

curl -X POST "https://api.siaran.my/api/v1/social-account/connect" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "type": "TIKTOK",
    "teamId": "TEAM_ID",
    "redirectUrl": "https://yourapp.example/connected"
  }'

Response 200

1 top-level fields
  • url string required

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

DELETE /api/v1/social-account/disconnect

Disconnect social account from team

socialAccount.disconnect · requires x-api-key

Request body application/json

  • type string required
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
  • teamId string required

Example

curl -X DELETE "https://api.siaran.my/api/v1/social-account/disconnect" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "type": "TIKTOK",
    "teamId": "TEAM_ID"
  }'

Response 200

26 top-level fields
  • id string required
  • type string required
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
  • teamId string required
  • username string nullable
  • displayName string nullable
  • bio string nullable
  • avatarUrl string nullable
  • externalId string nullable
  • providerPageId string nullable
  • userUsername string nullable
  • userDisplayName string nullable
  • userEmail string nullable
  • userId string nullable
  • channels object[] nullable
    7 fields
    • id string required
    • name string nullable
    • username string nullable
    • address string nullable
    • avatarUrl string nullable
    • webhook object nullable
      4 fields
      • id string nullable
      • name string nullable
      • avatar string nullable
      • url string nullable
    • metadata object nullable
      5 fields
      • allowImages boolean nullable
      • allowVideos boolean nullable
      • allowGalleries boolean nullable
      • linkFlairEnabled boolean nullable
      • facebookPageId string nullable
  • mastodonServerId string nullable
  • instagramConnectionMethod string nullable
    One of: FACEBOOK INSTAGRAM
  • twitterSubType string nullable
    One of: none basic premium premium_plus
  • isTiktokBusinessAccount boolean nullable
  • disconnectedCheckTryAt string nullable date-time
  • deleteOn string nullable date-time
  • messagingStatus string default "DISABLED"
    One of: DISABLED ENABLED DISABLE_PENDING
  • messagingStatusUpdatedAt string nullable date-time
  • messagingLastError string nullable
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

POST /api/v1/social-account/set-channel

Set channel for social account

socialAccount.setChannel · requires x-api-key

Request body application/json

  • type string required
    One of: FACEBOOK INSTAGRAM LINKEDIN YOUTUBE GOOGLE_BUSINESS
  • teamId string required
  • channelId string required

Example

curl -X POST "https://api.siaran.my/api/v1/social-account/set-channel" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "type": "FACEBOOK",
    "teamId": "TEAM_ID",
    "channelId": "CHANNEL_ID"
  }'

Response 200

26 top-level fields
  • id string required
  • type string required
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
  • teamId string required
  • username string nullable
  • displayName string nullable
  • bio string nullable
  • avatarUrl string nullable
  • externalId string nullable
  • providerPageId string nullable
  • userUsername string nullable
  • userDisplayName string nullable
  • userEmail string nullable
  • userId string nullable
  • channels object[] nullable
    7 fields
    • id string required
    • name string nullable
    • username string nullable
    • address string nullable
    • avatarUrl string nullable
    • webhook object nullable
      4 fields
      • id string nullable
      • name string nullable
      • avatar string nullable
      • url string nullable
    • metadata object nullable
      5 fields
      • allowImages boolean nullable
      • allowVideos boolean nullable
      • allowGalleries boolean nullable
      • linkFlairEnabled boolean nullable
      • facebookPageId string nullable
  • mastodonServerId string nullable
  • instagramConnectionMethod string nullable
    One of: FACEBOOK INSTAGRAM
  • twitterSubType string nullable
    One of: none basic premium premium_plus
  • isTiktokBusinessAccount boolean nullable
  • disconnectedCheckTryAt string nullable date-time
  • deleteOn string nullable date-time
  • messagingStatus string default "DISABLED"
    One of: DISABLED ENABLED DISABLE_PENDING
  • messagingStatusUpdatedAt string nullable date-time
  • messagingLastError string nullable
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

POST /api/v1/social-account/unset-channel

Unset channel for social account

socialAccount.unsetChannel · requires x-api-key

Request body application/json

  • type string required
    One of: FACEBOOK INSTAGRAM LINKEDIN YOUTUBE GOOGLE_BUSINESS
  • teamId string required

Example

curl -X POST "https://api.siaran.my/api/v1/social-account/unset-channel" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "type": "FACEBOOK",
    "teamId": "TEAM_ID"
  }'

Response 200

26 top-level fields
  • id string required
  • type string required
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
  • teamId string required
  • username string nullable
  • displayName string nullable
  • bio string nullable
  • avatarUrl string nullable
  • externalId string nullable
  • providerPageId string nullable
  • userUsername string nullable
  • userDisplayName string nullable
  • userEmail string nullable
  • userId string nullable
  • channels object[] nullable
    7 fields
    • id string required
    • name string nullable
    • username string nullable
    • address string nullable
    • avatarUrl string nullable
    • webhook object nullable
      4 fields
      • id string nullable
      • name string nullable
      • avatar string nullable
      • url string nullable
    • metadata object nullable
      5 fields
      • allowImages boolean nullable
      • allowVideos boolean nullable
      • allowGalleries boolean nullable
      • linkFlairEnabled boolean nullable
      • facebookPageId string nullable
  • mastodonServerId string nullable
  • instagramConnectionMethod string nullable
    One of: FACEBOOK INSTAGRAM
  • twitterSubType string nullable
    One of: none basic premium premium_plus
  • isTiktokBusinessAccount boolean nullable
  • disconnectedCheckTryAt string nullable date-time
  • deleteOn string nullable date-time
  • messagingStatus string default "DISABLED"
    One of: DISABLED ENABLED DISABLE_PENDING
  • messagingStatusUpdatedAt string nullable date-time
  • messagingLastError string nullable
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

POST /api/v1/social-account/refresh-channels

Refresh channels for social account

socialAccount.refreshChannels · requires x-api-key

Request body application/json

  • type string required
    One of: DISCORD SLACK REDDIT PINTEREST FACEBOOK INSTAGRAM LINKEDIN YOUTUBE GOOGLE_BUSINESS
  • teamId string required

Example

curl -X POST "https://api.siaran.my/api/v1/social-account/refresh-channels" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "type": "DISCORD",
    "teamId": "TEAM_ID"
  }'

Response 200

26 top-level fields
  • id string required
  • type string required
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
  • teamId string required
  • username string nullable
  • displayName string nullable
  • bio string nullable
  • avatarUrl string nullable
  • externalId string nullable
  • providerPageId string nullable
  • userUsername string nullable
  • userDisplayName string nullable
  • userEmail string nullable
  • userId string nullable
  • channels object[] nullable
    7 fields
    • id string required
    • name string nullable
    • username string nullable
    • address string nullable
    • avatarUrl string nullable
    • webhook object nullable
      4 fields
      • id string nullable
      • name string nullable
      • avatar string nullable
      • url string nullable
    • metadata object nullable
      5 fields
      • allowImages boolean nullable
      • allowVideos boolean nullable
      • allowGalleries boolean nullable
      • linkFlairEnabled boolean nullable
      • facebookPageId string nullable
  • mastodonServerId string nullable
  • instagramConnectionMethod string nullable
    One of: FACEBOOK INSTAGRAM
  • twitterSubType string nullable
    One of: none basic premium premium_plus
  • isTiktokBusinessAccount boolean nullable
  • disconnectedCheckTryAt string nullable date-time
  • deleteOn string nullable date-time
  • messagingStatus string default "DISABLED"
    One of: DISABLED ENABLED DISABLE_PENDING
  • messagingStatusUpdatedAt string nullable date-time
  • messagingLastError string nullable
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

POST /api/v1/social-account/messaging/enable

Enable DM messaging for a social account

socialAccount.enableMessaging · requires x-api-key

Request body application/json

  • teamId string required
  • type string required
    One of: FACEBOOK INSTAGRAM

Example

curl -X POST "https://api.siaran.my/api/v1/social-account/messaging/enable" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "teamId": "TEAM_ID",
    "type": "FACEBOOK"
  }'

Response 200

4 top-level fields
  • socialAccountId string required
  • type string required
    One of: FACEBOOK INSTAGRAM
  • messagingStatus string required
    One of: DISABLED ENABLED DISABLE_PENDING
  • messagingLastError string required nullable

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

POST /api/v1/social-account/messaging/disable

Disable DM messaging for a social account

socialAccount.disableMessaging · requires x-api-key

Request body application/json

  • teamId string required
  • type string required
    One of: FACEBOOK INSTAGRAM

Example

curl -X POST "https://api.siaran.my/api/v1/social-account/messaging/disable" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "teamId": "TEAM_ID",
    "type": "FACEBOOK"
  }'

Response 200

4 top-level fields
  • socialAccountId string required
  • type string required
    One of: FACEBOOK INSTAGRAM
  • messagingStatus string required
    One of: DISABLED ENABLED DISABLE_PENDING
  • messagingLastError string required nullable

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

POST /api/v1/social-account/connection-check

Manually run connection/disconnect check

socialAccount.connectionCheck · requires x-api-key

Request body application/json

  • type string required
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
  • teamId string required

Example

curl -X POST "https://api.siaran.my/api/v1/social-account/connection-check" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "type": "TIKTOK",
    "teamId": "TEAM_ID"
  }'

Response 200

8 top-level fields
  • success boolean required
  • message string
  • socialAccountId string required
  • checkedAt string required
  • limit integer required ≥ 1
  • used integer required ≥ 0
  • remaining integer required ≥ 0
  • windowSeconds integer required ≥ 1

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

POST /api/v1/social-account/profile-refresh

Manually refresh social account profile info

socialAccount.profileRefresh · requires x-api-key

Request body application/json

  • type string required
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
  • teamId string required

Example

curl -X POST "https://api.siaran.my/api/v1/social-account/profile-refresh" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "type": "TIKTOK",
    "teamId": "TEAM_ID"
  }'

Response 200

9 top-level fields
  • success boolean required
  • message string
  • socialAccountId string required
  • socialAccount object required
    26 fields
    • id string required
    • type string required
      One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
    • teamId string required
    • username string nullable
    • displayName string nullable
    • bio string nullable
    • avatarUrl string nullable
    • externalId string nullable
    • providerPageId string nullable
    • userUsername string nullable
    • userDisplayName string nullable
    • userEmail string nullable
    • userId string nullable
    • channels object[] nullable
      7 fields
      • id string required
      • name string nullable
      • username string nullable
      • address string nullable
      • avatarUrl string nullable
      • webhook object nullable
        4 fields
        • id string nullable
        • name string nullable
        • avatar string nullable
        • url string nullable
      • metadata object nullable
        5 fields
        • allowImages boolean nullable
        • allowVideos boolean nullable
        • allowGalleries boolean nullable
        • linkFlairEnabled boolean nullable
        • facebookPageId string nullable
    • mastodonServerId string nullable
    • instagramConnectionMethod string nullable
      One of: FACEBOOK INSTAGRAM
    • twitterSubType string nullable
      One of: none basic premium premium_plus
    • isTiktokBusinessAccount boolean nullable
    • disconnectedCheckTryAt string nullable date-time
    • deleteOn string nullable date-time
    • messagingStatus string default "DISABLED"
      One of: DISABLED ENABLED DISABLE_PENDING
    • messagingStatusUpdatedAt string nullable date-time
    • messagingLastError string nullable
    • createdAt string required nullable date-time
    • updatedAt string required nullable date-time
    • deletedAt string nullable date-time
  • refreshedAt string required
  • limit integer required ≥ 1
  • used integer required ≥ 0
  • remaining integer required ≥ 0
  • windowSeconds integer required ≥ 1

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

GET /api/v1/social-account/by-type

Get social account by team and type

socialAccount.getByType · requires x-api-key

Parameters

NameInTypeNotes
type required query string One of TIKTOK, YOUTUBE, INSTAGRAM, FACEBOOK, TWITTER, THREADS, LINKEDIN, PINTEREST, REDDIT, MASTODON, DISCORD, SLACK, BLUESKY, GOOGLE_BUSINESS, SNAPCHAT
teamId required query string

Example

curl -X GET "https://api.siaran.my/api/v1/social-account/by-type?type=TIKTOK&teamId=TEAM_ID" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

26 top-level fields
  • id string required
  • type string required
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
  • teamId string required
  • username string nullable
  • displayName string nullable
  • bio string nullable
  • avatarUrl string nullable
  • externalId string nullable
  • providerPageId string nullable
  • userUsername string nullable
  • userDisplayName string nullable
  • userEmail string nullable
  • userId string nullable
  • channels object[] nullable
    7 fields
    • id string required
    • name string nullable
    • username string nullable
    • address string nullable
    • avatarUrl string nullable
    • webhook object nullable
      4 fields
      • id string nullable
      • name string nullable
      • avatar string nullable
      • url string nullable
    • metadata object nullable
      5 fields
      • allowImages boolean nullable
      • allowVideos boolean nullable
      • allowGalleries boolean nullable
      • linkFlairEnabled boolean nullable
      • facebookPageId string nullable
  • mastodonServerId string nullable
  • instagramConnectionMethod string nullable
    One of: FACEBOOK INSTAGRAM
  • twitterSubType string nullable
    One of: none basic premium premium_plus
  • isTiktokBusinessAccount boolean nullable
  • disconnectedCheckTryAt string nullable date-time
  • deleteOn string nullable date-time
  • messagingStatus string default "DISABLED"
    One of: DISABLED ENABLED DISABLE_PENDING
  • messagingStatusUpdatedAt string nullable date-time
  • messagingLastError string nullable
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

POST /api/v1/social-account/copy

Copy social accounts

socialAccount.copy · requires x-api-key

Request body application/json

  • fromTeamId string required
  • toTeamId string required
  • resetChannel boolean
  • socialAccountTypes string[] required min 1 items
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT

Example

curl -X POST "https://api.siaran.my/api/v1/social-account/copy" \
  -H "x-api-key: $SIAR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
    "fromTeamId": "FROMTEAM_ID",
    "toTeamId": "TOTEAM_ID",
    "socialAccountTypes": [
      "TIKTOK"
    ]
  }'

Response 200

26 top-level fields
  • id string required
  • type string required
    One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
  • teamId string required
  • username string nullable
  • displayName string nullable
  • bio string nullable
  • avatarUrl string nullable
  • externalId string nullable
  • providerPageId string nullable
  • userUsername string nullable
  • userDisplayName string nullable
  • userEmail string nullable
  • userId string nullable
  • channels object[] nullable
    7 fields
    • id string required
    • name string nullable
    • username string nullable
    • address string nullable
    • avatarUrl string nullable
    • webhook object nullable
      4 fields
      • id string nullable
      • name string nullable
      • avatar string nullable
      • url string nullable
    • metadata object nullable
      5 fields
      • allowImages boolean nullable
      • allowVideos boolean nullable
      • allowGalleries boolean nullable
      • linkFlairEnabled boolean nullable
      • facebookPageId string nullable
  • mastodonServerId string nullable
  • instagramConnectionMethod string nullable
    One of: FACEBOOK INSTAGRAM
  • twitterSubType string nullable
    One of: none basic premium premium_plus
  • isTiktokBusinessAccount boolean nullable
  • disconnectedCheckTryAt string nullable date-time
  • deleteOn string nullable date-time
  • messagingStatus string default "DISABLED"
    One of: DISABLED ENABLED DISABLE_PENDING
  • messagingStatusUpdatedAt string nullable date-time
  • messagingLastError string nullable
  • createdAt string required nullable date-time
  • updatedAt string required nullable date-time
  • deletedAt string nullable date-time

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error

GET /api/v1/social-account/to-delete

Get paginated social accounts scheduled to delete

socialAccount.getAccountsToDelete · requires x-api-key

Parameters

NameInTypeNotes
page query number default 1
pageSize query number default 20

Example

curl -X GET "https://api.siaran.my/api/v1/social-account/to-delete" \
  -H "x-api-key: $SIAR_API_KEY"

Response 200

2 top-level fields
  • items object[] required
    26 fields
    • id string required
    • type string required
      One of: TIKTOK YOUTUBE INSTAGRAM FACEBOOK TWITTER THREADS LINKEDIN PINTEREST REDDIT MASTODON DISCORD SLACK BLUESKY GOOGLE_BUSINESS SNAPCHAT
    • teamId string required
    • username string nullable
    • displayName string nullable
    • bio string nullable
    • avatarUrl string nullable
    • externalId string nullable
    • providerPageId string nullable
    • userUsername string nullable
    • userDisplayName string nullable
    • userEmail string nullable
    • userId string nullable
    • channels object[] nullable
      7 fields
      • id string required
      • name string nullable
      • username string nullable
      • address string nullable
      • avatarUrl string nullable
      • webhook object nullable
        4 fields
        • id string nullable
        • name string nullable
        • avatar string nullable
        • url string nullable
      • metadata object nullable
        5 fields
        • allowImages boolean nullable
        • allowVideos boolean nullable
        • allowGalleries boolean nullable
        • linkFlairEnabled boolean nullable
        • facebookPageId string nullable
    • mastodonServerId string nullable
    • instagramConnectionMethod string nullable
      One of: FACEBOOK INSTAGRAM
    • twitterSubType string nullable
      One of: none basic premium premium_plus
    • isTiktokBusinessAccount boolean nullable
    • disconnectedCheckTryAt string nullable date-time
    • deleteOn string nullable date-time
    • messagingStatus string default "DISABLED"
      One of: DISABLED ENABLED DISABLE_PENDING
    • messagingStatusUpdatedAt string nullable date-time
    • messagingLastError string nullable
    • createdAt string required nullable date-time
    • updatedAt string required nullable date-time
    • deletedAt string nullable date-time
  • pagination object required
    4 fields
    • page number required
    • pageSize number required
    • total number required
    • totalPages number required

Errors: 400 Validation failed · 401 Missing or invalid API key · 403 Plan limit or permission · 404 Not found · 429 Rate limited · 500 Server error · 502 Network error